# Welcome to @mibuilder/titanium-cli-plugin 👋

> This is an Appcelerator Titanium CLI Plugin to boost the build of Titanium
> Classic MI apps.

[![Node latest version][node-version-badge]][node]
[![Commitizen friendly][commitizen-badge]][commitizen]
[![Conventional Commits][conventional-commits-badge]][conventional-commits]
[![Semantic Release][semantic-release-badge]][semantic-release]

[![npm latest version][latest-version-badge]][package]
[![npm next version][next-version-badge]][package]

<!-- START doctoc generated TOC please keep comment here to allow auto update -->
<!-- DON'T EDIT THIS SECTION, INSTEAD RE-RUN doctoc TO UPDATE -->

- [Installation](#markdown-header-installation)
- [📝 License](#markdown-header-%F0%9F%93%9D-license)

<!-- END doctoc generated TOC please keep comment here to allow auto update -->

## Installation

To always load the plugin, you need to add the `commands` and `hooks`
directories to the Titanium CLI's paths configuration:

```bash
[appc] ti config -a paths.commands /path/to/plugin/commands
[appc] ti config -a paths.hooks /path/to/plugin/hooks
```

Alternatively, you may extract the plugin to the global Titanium installation
folder or project directory, then enable it in the `tiapp.xml`:

```xml
<?xml version="1.0" encoding="UTF-8"?>
<ti:app xmlns:ti="http://ti.appcelerator.org">
  <plugins>
    <plugin>ti.mi</plugin>
  </plugins>
</ti:app>
```

## 📝 License

Copyright © 2019-present [die.interaktiven GmbH & Co. KG][dia-website]. All
rights reserved.

[commitizen]: http://commitizen.github.io/cz-cli
[commitizen-badge]:
  https://img.shields.io/badge/commitizen-friendly-brightgreen.svg
[conventional-commits]: https://conventionalcommits.org
[conventional-commits-badge]:
  https://img.shields.io/badge/Conventional%20Commits-1.0.0-yellow.svg
[dia-website]: https://die-interaktiven.de
[latest-version-badge]:
  https://img.shields.io/npm/v/@mibuilder/titanium-cli-plugin/latest.svg
[next-version-badge]:
  https://img.shields.io/npm/v/@mibuilder/titanium-cli-plugin/next.svg
[node-version-badge]:
  https://img.shields.io/node/v/@mibuilder/titanium-cli-plugin.svg
[package]: https://npmjs.com/package/@mibuilder/titanium-cli-plugin
[node]: https://nodejs.org
[semantic-release]: https://github.com/semantic-release/semantic-release
[semantic-release-badge]:
  https://img.shields.io/badge/%20%20%F0%9F%93%A6%F0%9F%9A%80-semantic--release-e10079.svg
