"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.check = check;
exports.options = exports.docs = exports.usage = void 0;

function check() {
  // Do custom checks of `argv` and if invalid just throw an error. For now no
  // checks are needed
  return true;
}

const usage = 'Usage: $0 [--project-dir=<pathToProject>]';
exports.usage = usage;
const docs = 'Documentation: TBD';
exports.docs = docs;
const options = {
  miappenv: {
    description: 'The environment / theme to build for e.g. steuerberater',
    type: 'string'
  },
  platform: {
    alias: 'p',
    description: 'The target build platform',
    type: 'string'
  },
  'project-dir': {
    alias: 'd',
    description: 'The path to the directory containing the project',
    type: 'string'
  }
};
exports.options = options;