"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = _default;

var _which = _interopRequireDefault(require("which"));

var _types = require("@interaktiv/types");

var _debug = _interopRequireDefault(require("../debug"));

function _default() {
  const whichOpts = {
    nothrow: true
  };
  const hasAppc = (0, _types.isString)(_which.default.sync('appc', whichOpts));
  const hasTitanium = (0, _types.isString)(_which.default.sync('ti', whichOpts));
  const [cmd] = [hasAppc ? 'appc' : null, hasTitanium ? 'ti' : null].filter(Boolean);
  (0, _debug.default)(`Has appc: ${hasAppc}`);
  (0, _debug.default)(`Has titanium: ${hasTitanium}`);
  (0, _debug.default)(`cmd: ${cmd}`);
  return {
    hasAppc,
    hasTitanium,
    titaniumCliCmd: cmd
  };
}