"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getVersion = exports.getDescription = exports.getAuthor = void 0;

// Cannot be `import` as it's not under root dir
const {
  author: {
    name: AUTHOR_NAME
  } = {},
  description: DESCRIPTION,
  version: VERSION
} = require('../../package.json');

const getAuthor = () => AUTHOR_NAME;

exports.getAuthor = getAuthor;

const getDescription = () => DESCRIPTION;

exports.getDescription = getDescription;

const getVersion = () => VERSION;

exports.getVersion = getVersion;